Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class CachePerformance

    java.lang.Object
      oracle.ifs.common.CachePerformance

All Implemented Interfaces:
  java.io.Serializable

    public class CachePerformance

extends java.lang.Object
implements java.io.Serializable

A CachePerformance is a bucket of name/value pairs that indicate the performance of a Cache.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected java.lang.String[]` | `m_Keys` The names of the cache performance parameters.
`protected java.lang.String` | `m_Name` The cache name
`protected java.lang.Object[]` | `m_Values` The values of the cache performance parameters.

Constructor Summary
`CachePerformance(java.lang.String name, java.lang.String[] keys, java.lang.Object[] values)` Construct a cache performance object.

Method Summary
`java.lang.Object` | `get(java.lang.String key)` Gets the value of the specified cache performance parameter.
`java.lang.String` | `getName()` Gets the cache name.
`java.util.Enumeration` | `keys()` Enumerates the names of the cache performance parameters.
`java.lang.String` | `toString()` Gets a String representation of the cache performance object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_Name

    protected java.lang.String m_Name

  Description copied from class: `CachePerformance`
  The cache name

  (Unpublished)

### m_Keys

    protected java.lang.String[] m_Keys

  Description copied from class: `CachePerformance`
  The names of the cache performance parameters.

  (Unpublished)

### m_Values

    protected java.lang.Object[] m_Values

  Description copied from class: `CachePerformance`
  The values of the cache performance parameters.

  (Unpublished)

Constructor Detail

### CachePerformance

    public CachePerformance(java.lang.String name,
                            java.lang.String[] keys,
                            java.lang.Object[] values)

  Construct a cache performance object.

  Parameters:
    `name` - the cache name
    `keys` - the names of the cache performance parameters
    `values` - the values of the cache performance parameters
  (Unpublished)

Method Detail

### getName

    public final java.lang.String getName()

  Description copied from class: `CachePerformance`
  Gets the cache name.

  Returns:
    the cache name
  (Unpublished)

### keys

    public final java.util.Enumeration keys()

  Description copied from class: `CachePerformance`
  Enumerates the names of the cache performance parameters.

  Returns:
    an enumeration of the cache performance parameter names
  (Unpublished)

### get

    public final java.lang.Object get(java.lang.String key)

  Description copied from class: `CachePerformance`
  Gets the value of the specified cache performance parameter.

  Parameters:
    `key` - the desired cache performance parameter
  Returns:
    the value of that parameter
  (Unpublished)

### toString

    public final java.lang.String toString()

  Description copied from class: `CachePerformance`
  Gets a String representation of the cache performance object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD